class SearchDrugModel {
  List<EntityList> entityList;
  int rowcount;
  dynamic statusMessage;

  SearchDrugModel({this.entityList, this.rowcount, this.statusMessage});

  SearchDrugModel.fromJson(Map<String, dynamic> json) {
    if (json['entityList'] != null) {
      entityList = new List<EntityList>();
      json['entityList'].forEach((v) {
        entityList.add(new EntityList.fromJson(v));
      });
    }
    rowcount = json['rowcount'];
    statusMessage = json['statusMessage'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.entityList != null) {
      data['entityList'] = this.entityList.map((v) => v.toJson()).toList();
    }
    data['rowcount'] = this.rowcount;
    data['statusMessage'] = this.statusMessage;
    return data;
  }
}

class EntityList {
  dynamic description;
  dynamic genericName;
  dynamic itemId;
  dynamic keywords;
  dynamic price;
  dynamic quantity;

  EntityList(
      {this.description,
      this.genericName,
      this.itemId,
      this.keywords,
      this.price,
      this.quantity});

  EntityList.fromJson(Map<String, dynamic> json) {
    description = json['Description'];
    genericName = json['GenericName'];
    itemId = json['ItemId'];
    keywords = json['Keywords'];
    price = json['Price'];
    quantity = json['Quantity'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['Description'] = this.description;
    data['GenericName'] = this.genericName;
    data['ItemId'] = this.itemId;
    data['Keywords'] = this.keywords;
    data['Price'] = this.price;
    data['Quantity'] = this.quantity;
    return data;
  }
}
